summaryrefslogtreecommitdiffstats
path: root/makeself
diff options
context:
space:
mode:
authorPaweł Krupa <pawel@krupa.net.pl>2019-01-02 10:12:24 +0100
committerGitHub <noreply@github.com>2019-01-02 10:12:24 +0100
commit4d77f2b32518601d54528bf98e311685cf8478d0 (patch)
treec3413e8f6a540c74d66acbcb9480c1036f057c12 /makeself
parent5b32e18e15421165453745fe091dc8287814f048 (diff)
move makeself (#4688)
Diffstat (limited to 'makeself')
-rw-r--r--makeself/Makefile.am26
-rw-r--r--makeself/README.md48
-rwxr-xr-xmakeself/build-x86_64-static.sh42
-rwxr-xr-xmakeself/build.sh61
-rwxr-xr-xmakeself/functions.sh62
-rwxr-xr-xmakeself/install-alpine-packages.sh27
-rwxr-xr-xmakeself/install-or-update.sh225
-rwxr-xr-xmakeself/jobs/10-prepare-destination.install.sh17
-rwxr-xr-xmakeself/jobs/50-bash-4.4.18.install.sh54
-rwxr-xr-xmakeself/jobs/50-curl-7.60.0.install.sh34
-rwxr-xr-xmakeself/jobs/50-fping-4.0.install.sh29
-rwxr-xr-xmakeself/jobs/70-netdata-git.install.sh26
-rwxr-xr-xmakeself/jobs/99-makeself.install.sh117
-rwxr-xr-xmakeself/makeself-header.sh554
-rw-r--r--makeself/makeself-help-header.txt46
-rw-r--r--makeself/makeself-license.txt46
-rw-r--r--makeself/makeself.lsm16
-rwxr-xr-xmakeself/makeself.sh621
-rwxr-xr-xmakeself/post-installer.sh11
-rwxr-xr-xmakeself/run-all-jobs.sh42
20 files changed, 0 insertions, 2104 deletions
diff --git a/makeself/Makefile.am b/makeself/Makefile.am
deleted file mode 100644
index f6f9167a08..0000000000
--- a/makeself/Makefile.am
+++ /dev/null
@@ -1,26 +0,0 @@
-# SPDX-License-Identifier: GPL-3.0-or-later
-MAINTAINERCLEANFILES= $(srcdir)/Makefile.in
-
-dist_noinst_DATA = \
- $(NULL)
-
-dist_noinst_SCRIPTS = \
- build.sh \
- makeself.sh \
- makeself-license.txt \
- install-alpine-packages.sh \
- post-installer.sh \
- jobs/10-prepare-destination.install.sh \
- jobs/50-curl-7.60.0.install.sh \
- jobs/50-bash-4.4.18.install.sh \
- jobs/50-fping-4.0.install.sh \
- jobs/70-netdata-git.install.sh \
- jobs/99-makeself.install.sh \
- run-all-jobs.sh \
- install-or-update.sh \
- build-x86_64-static.sh \
- makeself-header.sh \
- makeself-help-header.txt \
- makeself.lsm \
- functions.sh \
- $(NULL)
diff --git a/makeself/README.md b/makeself/README.md
deleted file mode 100644
index 60a6f4ba81..0000000000
--- a/makeself/README.md
+++ /dev/null
@@ -1,48 +0,0 @@
-# netdata static binary build
-
-To build the static binary 64-bit distribution package, run:
-
-```bash
-$ cd /path/to/netdata.git
-$ ./makeself/build-x86_64-static.sh
-```
-
-The program will:
-
-1. setup a new docker container with Alpine Linux
-2. install the required alpine packages (the build environment, needed libraries, etc)
-3. download and compile third party apps that are packaged with netdata (`bash`, `curl`, etc)
-4. compile netdata
-
-Once finished, a file named `netdata-vX.X.X-gGITHASH-x86_64-DATE-TIME.run` will be created in the current directory. This is the netdata binary package that can be run to install netdata on any other computer.
-
----
-
-## building binaries with debug info
-
-To build netdata binaries with debugging / tracing information in them, use:
-
-```bash
-$ cd /path/to/netdata.git
-$ ./makeself/build-x86_64-static.sh debug
-```
-
-These binaries are not optimized (they are a bit slower), they have certain features disables (like log flood protection), other features enables (like `debug flags`) and are not stripped (the binary files are bigger, since they now include source code tracing information).
-
-#### debugging netdata binaries
-
-Once you have installed a binary package with debugging info, you will need to install `valgrind` and run this command to start netdata:
-
-```bash
-PATH="/opt/netdata/bin:${PATH}" valgrind --undef-value-errors=no /opt/netdata/bin/srv/netdata -D
-```
-
-The above command, will run netdata under `valgrind`. While netdata runs under `valgrind` it will be 10x slower and use a lot more memory.
-
-If netdata crashes, `valgrind` will print a stack trace of the issue. Open a github issue to let us know.
-
-To stop netdata while it runs under `valgrind`, press Control-C on the console.
-
-> If you omit the parameter `--undef-value-errors=no` to valgrind, you will get hundreds of errors about conditional jumps that depend on uninitialized values. This is normal. Valgrind has heuristics to prevent it from printing such errors for system libraries, but for the static netdata binary, all the required libraries are built into netdata. So, valgrind cannot appply its heuristics and prints them.
-
-[![analytics](https://www.google-analytics.com/collect?v=1&aip=1&t=pageview&_s=1&ds=github&dr=https%3A%2F%2Fgithub.com%2Fnetdata%2Fnetdata&dl=https%3A%2F%2Fmy-netdata.io%2Fgithub%2Fmakeself%2FREADME&_u=MAC~&cid=5792dfd7-8dc4-476b-af31-da2fdb9f93d2&tid=UA-64295674-3)]()
diff --git a/makeself/build-x86_64-static.sh b/makeself/build-x86_64-static.sh
deleted file mode 100755
index f151d5d7ce..0000000000
--- a/makeself/build-x86_64-static.sh
+++ /dev/null
@@ -1,42 +0,0 @@
-#!/usr/bin/env bash
-# SPDX-License-Identifier: GPL-3.0-or-later
-
-. $(dirname "$0")/../packaging/installer/functions.sh || exit 1
-
-set -e
-
-DOCKER_CONTAINER_NAME="netdata-package-x86_64-static-alpine37"
-
-if ! sudo docker inspect "${DOCKER_CONTAINER_NAME}" >/dev/null 2>&1
-then
- # To run interactively:
- # sudo docker run -it netdata-package-x86_64-static /bin/sh
- # (add -v host-dir:guest-dir:rw arguments to mount volumes)
- #
- # To remove images in order to re-create:
- # sudo docker rm -v $(sudo docker ps -a -q -f status=exited)
- # sudo docker rmi netdata-package-x86_64-static
- #
- # This command maps the current directory to
- # /usr/src/netdata.git
- # inside the container and runs the script install-alpine-packages.sh
- # (also inside the container)
- #
- run sudo docker run -v $(pwd):/usr/src/netdata.git:rw alpine:3.7 \
- /bin/sh /usr/src/netdata.git/makeself/install-alpine-packages.sh
-
- # save the changes made permanently
- id=$(sudo docker ps -l -q)
- run sudo docker commit ${id} "${DOCKER_CONTAINER_NAME}"
-fi
-
-# Run the build script inside the container
-run sudo docker run -a stdin -a stdout -a stderr -i -t -v \
- $(pwd):/usr/src/netdata.git:rw \
- "${DOCKER_CONTAINER_NAME}" \
- /bin/sh /usr/src/netdata.git/makeself/build.sh "${@}"
-
-if [ "${USER}" ]
- then
- sudo chown -R "${USER}" .
-fi
diff --git a/makeself/build.sh b/makeself/build.sh
deleted file mode 100755
index e8c1c9ddc7..0000000000
--- a/makeself/build.sh
+++ /dev/null
@@ -1,61 +0,0 @@
-#!/usr/bin/env sh
-# SPDX-License-Identifier: GPL-3.0-or-later
-
-# -----------------------------------------------------------------------------
-# parse command line arguments
-
-export NETDATA_BUILD_WITH_DEBUG=0
-
-while [ ! -z "${1}" ]
-do
- case "${1}" in
- debug)
- export NETDATA_BUILD_WITH_DEBUG=1
- ;;
-
- *)
- ;;
- esac
-
- shift
-done
-
-
-# -----------------------------------------------------------------------------
-
-# First run install-alpine-packages.sh under alpine linux to install
-# the required packages. build-x86_64-static.sh will do this for you
-# using docker.
-
-cd $(dirname "$0") || exit 1
-
-# if we don't run inside the netdata repo
-# download it and run from it
-if [ ! -f ../netdata-installer.sh ]
-then
- git clone https://github.com/netdata/netdata.git netdata.git || exit 1
- cd netdata.git/makeself || exit 1
- ./build.sh "$@"
- exit $?
-fi
-
-cat >&2 <<EOF
-
-This program will create a self-extracting shell package containing
-a statically linked netdata, able to run on any 64bit Linux system,
-without any dependencies from the target system.
-
-It can be used to have netdata running in no-time, or in cases the
-target Linux system cannot compile netdata.
-
-EOF
-
-# read -p "Press ENTER to continue > "
-
-if [ ! -d tmp ]
- then
- mkdir tmp || exit 1
-fi
-
-./run-all-jobs.sh "$@"
-exit $?
diff --git a/makeself/functions.sh b/makeself/functions.sh
deleted file mode 100755
index cf4a54c6f8..0000000000
--- a/makeself/functions.sh
+++ /dev/null
@@ -1,62 +0,0 @@
-#!/usr/bin/env bash
-# SPDX-License-Identifier: GPL-3.0-or-later
-
-# -----------------------------------------------------------------------------
-
-# allow running the jobs by hand
-[ -z "${NETDATA_BUILD_WITH_DEBUG}" ] && export NETDATA_BUILD_WITH_DEBUG=0
-[ -z "${NETDATA_INSTALL_PATH}" ] && export NETDATA_INSTALL_PATH="${1-/opt/netdata}"
-[ -z "${NETDATA_MAKESELF_PATH}" ] && export NETDATA_MAKESELF_PATH="$(dirname "${0}")/.."
-[ "${NETDATA_MAKESELF_PATH:0:1}" != "/" ] && export NETDATA_MAKESELF_PATH="$(pwd)/${NETDATA_MAKESELF_PATH}"
-[ -z "${NETDATA_SOURCE_PATH}" ] && export NETDATA_SOURCE_PATH="${NETDATA_MAKESELF_PATH}/.."
-export NULL=
-
-# make sure the path does not end with /
-if [ "${NETDATA_INSTALL_PATH:$(( ${#NETDATA_INSTALL_PATH} - 1)):1}" = "/" ]
- then
- export NETDATA_INSTALL_PATH="${NETDATA_INSTALL_PATH:0:$(( ${#NETDATA_INSTALL_PATH} - 1))}"
-fi
-
-# find the parent directory
-export NETDATA_INSTALL_PARENT="$(dirname "${NETDATA_INSTALL_PATH}")"
-
-# -----------------------------------------------------------------------------
-
-# bash strict mode
-set -euo pipefail
-
-# -----------------------------------------------------------------------------
-
-fetch() {
- local dir="${1}" url="${2}"
- local tar="${dir}.tar.gz"
-
- if [ ! -f "${NETDATA_MAKESELF_PATH}/tmp/${tar}" ]
- then
- run wget -O "${NETDATA_MAKESELF_PATH}/tmp/${tar}" "${url}"
- fi
-
- if [ ! -d "${NETDATA_MAKESELF_PATH}/tmp/${dir}" ]
- then
- cd "${NETDATA_MAKESELF_PATH}/tmp"
- run tar -zxpf "${tar}"
- cd -
- fi
-
- run cd "${NETDATA_MAKESELF_PATH}/tmp/${dir}"
-}
-
-# -----------------------------------------------------------------------------
-
-# load the functions of the netdata-installer.sh
-. "${NETDATA_SOURCE_PATH}/packaging/installer/functions.sh"
-
-# -----------------------------------------------------------------------------
-
-# debug
-echo "ME=${0}"
-echo "NETDATA_INSTALL_PARENT=${NETDATA_INSTALL_PARENT}"
-echo "NETDATA_INSTALL_PATH=${NETDATA_INSTALL_PATH}"
-echo "NETDATA_MAKESELF_PATH=${NETDATA_MAKESELF_PATH}"
-echo "NETDATA_SOURCE_PATH=${NETDATA_SOURCE_PATH}"
-echo "PROCESSORS=${SYSTEM_CPUS}"
diff --git a/makeself/install-alpine-packages.sh b/makeself/install-alpine-packages.sh
deleted file mode 100755
index 695be4d4f5..0000000000
--- a/makeself/install-alpine-packages.sh
+++ /dev/null
@@ -1,27 +0,0 @@
-#!/usr/bin/env sh
-# SPDX-License-Identifier: GPL-3.0-or-later
-
-# this script should be running in alpine linux
-# install the required packages
-apk update
-apk add --no-cache \
- bash \
- wget \
- curl \
- ncurses \
- git \
- netcat-openbsd \
- alpine-sdk \
- autoconf \
- automake \
- gcc \
- make \
- libtool \
- pkgconfig \
- util-linux-dev \
- openssl-dev \
- gnutls-dev \
- zlib-dev \
- libmnl-dev \
- libnetfilter_acct-dev \
- || exit 1
diff --git a/makeself/install-or-update.sh b/makeself/install-or-update.sh
deleted file mode 100755
index bfcbe720aa..0000000000
--- a/makeself/install-or-update.sh
+++ /dev/null
@@ -1,225 +0,0 @@
-#!/usr/bin/env bash
-# SPDX-License-Identifier: GPL-3.0-or-later
-
-. $(dirname "${0}")/functions.sh
-
-export LC_ALL=C
-umask 002
-
-# Be nice on production environments
-renice 19 $$ >/dev/null 2>/dev/null
-
-# -----------------------------------------------------------------------------
-
-STARTIT=1
-
-while [ ! -z "${1}" ]
-do
- if [ "${1}" = "--dont-start-it" ]
- then
- STARTIT=0
- else
- echo >&2 "Unknown option '${1}'. Ignoring it."
- fi
- shift
-done
-
-deleted_stock_configs=0
-if [ ! -f "etc/netdata/.installer-cleanup-of-stock-configs-done" ]
-then
-
- # -----------------------------------------------------------------------------
- progress "Deleting stock configuration files from user configuration directory"
-
- declare -A configs_signatures=()
- source "system/configs.signatures"
-
- if [ ! -d etc/netdata ]
- then
- run mkdir -p etc/netdata
- fi
-
- md5sum="$(which md5sum 2>/dev/null || command -v md5sum 2>/dev/null || command -v md5 2>/dev/null)"
- for x in $(find etc -type f)
- do
- # find it relative filename
- f="${x/etc\/netdata\//}"
-
- # find the stock filename
- t="${f/.conf.old/.conf}"
- t="${t/.conf.orig/.conf}"
-
- if [ ! -z "${md5sum}" ]
- then
- # find the checksum of the existing file
- md5="$( ${md5sum} <"${x}" | cut -d ' ' -f 1)"
- #echo >&2 "md5: ${md5}"
-
- # check if it matches
- if [ "${configs_signatures[${md5}]}" = "${t}" ]
- then
- # it matches the default
- run rm -f "${x}"
- deleted_stock_configs=$(( deleted_stock_configs + 1 ))
- fi
- fi
- done
-
- touch "etc/netdata/.installer-cleanup-of-stock-configs-done"
-fi
-
-# -----------------------------------------------------------------------------
-progress "Add user netdata to required user groups"
-
-NETDATA_USER="root"
-NETDATA_GROUP="root"
-add_netdata_user_and_group "/opt/netdata"
-if [ $? -eq 0 ]
- then
- NETDATA_USER="netdata"
- NETDATA_GROUP="netdata"
-else
- run_failed "Failed to add netdata user and group"
-fi
-
-
-# -----------------------------------------------------------------------------
-progress "Check SSL certificates paths"
-
-if [ ! -f "/etc/ssl/certs/ca-certificates.crt" ]
-then
- if [ ! -f /opt/netdata/.curlrc ]
- then
- cacert=
-
- # CentOS
- [ -f "/etc/ssl/certs/ca-bundle.crt" ] && cacert="/etc/ssl/certs/ca-bundle.crt"
-
- if [ ! -z "${cacert}" ]
- then
- echo "Creating /opt/netdata/.curlrc with cacert=${cacert}"
- echo >/opt/netdata/.curlrc "cacert=${cacert}"
- else
- run_failed "Failed to find /etc/ssl/certs/ca-certificates.crt"
- fi
- fi
-fi
-
-
-# -----------------------------------------------------------------------------
-progress "Install logrotate configuration for netdata"
-
-install_netdata_logrotate || run_failed "Cannot install logrotate file for netdata."
-
-
-# -----------------------------------------------------------------------------
-progress "Install netdata at system init"
-
-install_netdata_service || run_failed "Cannot install netdata init service."
-
-
-# -----------------------------------------------------------------------------
-progress "creating quick links"
-
-dir_should_be_link() {
- local p="${1}" t="${2}" d="${3}" old
-
- old="${PWD}"
- cd "${p}" || return 0
-
- if [ -e "${d}" ]
- then
- if [ -h "${d}" ]
- then
- run rm "${d}"
- else
- run mv -f "${d}" "${d}.old.$$"
- fi
- fi
-
- run ln -s "${t}" "${d}"
- cd "${old}"
-}
-
-dir_should_be_link . bin sbin
-dir_should_be_link usr ../bin bin
-dir_should_be_link usr ../bin sbin
-dir_should_be_link usr . local
-
-dir_should_be_link . etc/netdata netdata-configs
-dir_should_be_link . usr/share/netdata/web netdata-web-files
-dir_should_be_link . usr/libexec/netdata netdata-plugins
-dir_should_be_link . var/lib/netdata netdata-dbs
-dir_should_be_link . var/cache/netdata netdata-metrics
-dir_should_be_link . var/log/netdata netdata-logs
-
-dir_should_be_link etc/netdata ../../usr/lib/netdata/conf.d orig
-
-if [ ${deleted_stock_configs} -gt 0 ]
-then
- dir_should_be_link etc/netdata ../../usr/lib/netdata/conf.d "000.-.USE.THE.orig.LINK.TO.COPY.AND.EDIT.STOCK.CONFIG.FILES"
-fi
-
-
-# -----------------------------------------------------------------------------
-
-progress "create user config directories"
-
-for x in "python.d" "charts.d" "node.d" "health.d" "statsd.d"
-do
- if [ ! -d "etc/netdata/${x}" ]
- then
- run mkdir -p "etc/netdata/${x}" || exit 1
- fi
-done
-
-
-# -----------------------------------------------------------------------------
-progress "fix permissions"
-
-run chmod g+rx,o+rx /opt
-run chown -R ${NETDATA_USER}:${NETDATA_GROUP} /opt/netdata
-
-
-# -----------------------------------------------------------------------------
-
-progress "fix plugin permissions"
-
-for x in apps.plugin freeipmi.plugin cgroup-network
-do
- f="usr/libexec/netdata/plugins.d/${x}"
-
- if [ -f "${f}" ]
- then
- run chown root:${NETDATA_GROUP} "${f}"
- run chmod 4750 "${f}"
- fi
-done
-
-# fix the fping binary
-if [ -f bin/fping ]
-then
- run chown root:${NETDATA_GROUP} bin/fping
- run chmod 4750 bin/fping
-fi
-
-
-# -----------------------------------------------------------------------------
-
-if [ ${STARTIT} -eq 1 ]
-then
- progress "starting netdata"
-
- restart_netdata "/opt/netdata/bin/netdata"
- if [ $? -eq 0 ]
- then
- download_netdata_conf "${NETDATA_USER}:${NETDATA_GROUP}" "/opt/netdata/etc/netdata/netdata.conf" "http://localhost:19999/netdata.conf"
- netdata_banner "is installed and running now!"
- else
- generate_netdata_conf "${NETDATA_USER}:${NETDATA_GROUP}" "/opt/netdata/etc/netdata/netdata.conf" "http://localhost:19999/netdata.conf"
- netdata_banner "is installed now!"
- fi
-else
- generate_netdata_conf "${NETDATA_USER}:${NETDATA_GROUP}" "/opt/netdata/etc/netdata/netdata.conf" "http://localhost:19999/netdata.conf"
- netdata_banner "is installed now!"
-fi
diff --git a/makeself/jobs/10-prepare-destination.install.sh b/makeself/jobs/10-prepare-destination.install.sh
deleted file mode 100755
index 019732636b..0000000000
--- a/makeself/jobs/10-prepare-destination.install.sh
+++ /dev/null
@@ -1,17 +0,0 @@
-#!/usr/bin/env bash
-# SPDX-License-Identifier: GPL-3.0-or-later
-
-. $(dirname "${0}")/../functions.sh "${@}" || exit 1
-
-[ -d "${NETDATA_INSTALL_PATH}.old" ] && run rm -rf "${NETDATA_INSTALL_PATH}.old"
-[ -d "${NETDATA_INSTALL_PATH}" ] && run mv -f "${NETDATA_INSTALL_PATH}" "${NETDATA_INSTALL_PATH}.old"
-
-run mkdir -p "${NETDATA_INSTALL_PATH}/bin"
-run mkdir -p "${NETDATA_INSTALL_PATH}/usr"
-run cd "${NETDATA_INSTALL_PATH}"
-run ln -s bin sbin
-run cd "${NETDATA_INSTALL_PATH}/usr"
-run ln -s ../bin bin
-run ln -s ../sbin sbin
-run ln -s . local
-
diff --git a/makeself/jobs/50-bash-4.4.18.install.sh b/makeself/jobs/50-bash-4.4.18.install.sh
deleted file mode 100755
index 0007658257..0000000000
--- a/makeself/jobs/50-bash-4.4.18.install.sh
+++ /dev/null
@@ -1,54 +0,0 @@
-#!/usr/bin/env bash
-# SPDX-License-Identifier: GPL-3.0-or-later
-
-. $(dirname "${0}")/../functions.sh "${@}" || exit 1
-
-fetch "bash-4.4.18" "http://ftp.gnu.org/gnu/bash/bash-4.4.18.tar.gz"
-
-run ./configure \
- --prefix=${NETDATA_INSTALL_PATH} \
- --without-bash-malloc \
- --enable-static-link \
- --enable-net-redirections \
- --enable-array-variables \
- --disable-profiling \
- --disable-nls \
-# --disable-rpath \
-# --enable-alias \
-# --enable-arith-for-command \
-# --enable-array-variables \
-# --enable-brace-expansion \
-# --enable-casemod-attributes \
-# --enable-casemod-expansions \
-# --enable-command-timing \
-# --enable-cond-command \
-# --enable-cond-regexp \
-# --enable-directory-stack \
-# --enable-dparen-arithmetic \
-# --enable-function-import \
-# --enable-glob-asciiranges-default \
-# --enable-help-builtin \
-# --enable-job-control \
-# --enable-net-redirections \
-# --enable-process-substitution \
-# --enable-progcomp \
-# --enable-prompt-string-decoding \
-# --enable-readline \
-# --enable-select \
-
-
-run make clean
-run make -j${SYSTEM_CPUS}
-
-cat >examples/loadables/Makefile <<EOF
-all:
-clean:
-install:
-EOF
-
-run make install
-
-if [ ${NETDATA_BUILD_WITH_DEBUG} -eq 0 ]
-then
- run strip ${NETDATA_INSTALL_PATH}/bin/bash
-fi
diff --git a/makeself/jobs/50-curl-7.60.0.install.sh b/makeself/jobs/50-curl-7.60.0.install.sh
deleted file mode 100755
index 2b5c8f1394..0000000000
--- a/makeself/jobs/50-curl-7.60.0.install.sh
+++ /dev/null
@@ -1,34 +0,0 @@
-#!/usr/bin/env bash
-# SPDX-License-Identifier: GPL-3.0-or-later
-
-. $(dirname "${0}")/../functions.sh "${@}" || exit 1
-
-fetch "curl-curl-7_60_0" "https://github.com/curl/curl/archive/curl-7_60_0.tar.gz"
-
-export LDFLAGS="-static"
-export PKG_CONFIG="pkg-config --static"
-
-run ./buildconf
-
-run ./configure \
- --prefix=${NETDATA_INSTALL_PATH} \
- --enable-optimize \
- --disable-shared \
- --enable-static \
- --enable-http \
- --enable-proxy \
- --enable-ipv6 \
- --enable-cookies \
- ${NULL}
-
-# Curl autoconf does not honour the curl_LDFLAGS environment variable
-run sed -i -e "s/curl_LDFLAGS =/curl_LDFLAGS = -all-static/" src/Makefile
-
-run make clean
-run make -j${SYSTEM_CPUS}
-run make install
-
-if [ ${NETDATA_BUILD_WITH_DEBUG} -eq 0 ]
-then
- run strip ${NETDATA_INSTALL_PATH}/bin/curl
-fi
diff --git a/makeself/jobs/50-fping-4.0.install.sh b/makeself/jobs/50-fping-4.0.install.sh
deleted file mode 100755
index 7928f1aa41..0000000000
--- a/makeself/jobs/50-fping-4.0.install.sh
+++ /dev/null
@@ -1,29 +0,0 @@
-#!/usr/bin/env bash
-# SPDX-License-Identifier: GPL-3.0-or-later
-
-. $(dirname "${0}")/../functions.sh "${@}" || exit 1
-
-fetch "fping-4.0" "https://github.com/schweikert/fping/releases/download/v4.0/fping-4.0.tar.gz"
-
-export CFLAGS="-static"
-
-run ./configure \
- --prefix=${NETDATA_INSTALL_PATH} \
- --enable-ipv4 \
- --enable-ipv6 \
- ${NULL}
-
-cat >doc/Makefile <<EOF
-all:
-clean:
-install:
-EOF
-
-run make clean
-run make -j${SYSTEM_CPUS}
-run make install
-
-if [ ${NETDATA_BUILD_WITH_DEBUG} -eq 0 ]
-then
- run strip ${NETDATA_INSTALL_PATH}/bin/fping
-fi
diff --git a/makeself/jobs/70-netdata-git.install.sh b/makeself/jobs/70-netdata-git.install.sh
deleted file mode 100755
index 71ea0f63a5..0000000000
--- a/makeself/jobs/70-netdata-git.install.sh
+++ /dev/null
@@ -1,26 +0,0 @@
-#!/usr/bin/env bash
-# SPDX-License-Identifier: GPL-3.0-or-later
-
-. ${NETDATA_MAKESELF_PATH}/functions.sh "${@}" || exit 1
-
-cd "${NETDATA_SOURCE_PATH}" || exit 1
-
-if [ ${NETDATA_BUILD_WITH_DEBUG} -eq 0 ]
-then
- export CFLAGS="-static -O3"
-else
- export CFLAGS="-static -O1 -ggdb -Wall -Wextra -Wformat-signedness -fstack-protector-all -D_FORTIFY_SOURCE=2 -DNETDATA_INTERNAL_CHECKS=1"
-# export CFLAGS="-static -O1 -ggdb -Wall -Wextra -Wformat-signedness"
-fi
-
-run ./netdata-installer.sh --install "${NETDATA_INSTALL_PARENT}" \
- --dont-wait \
- --dont-start-it \
- ${NULL}
-
-if [ ${NETDATA_BUILD_WITH_DEBUG} -eq 0 ]
-then
- run strip ${NETDATA_INSTALL_PATH}/bin/netdata
- run strip ${NETDATA_INSTALL_PATH}/usr/libexec/netdata/plugins.d/apps.plugin
- run strip ${NETDATA_INSTALL_PATH}/usr/libexec/netdata/plugins.d/cgroup-network
-fi
diff --git a/makeself/jobs/99-makeself.install.sh b/makeself/jobs/99-makeself.install.sh
deleted file mode 100755
index f8a25da437..0000000000
--- a/makeself/jobs/99-makeself.install.sh
+++ /dev/null
@@ -1,117 +0,0 @@
-#!/usr/bin/env bash
-# SPDX-License-Identifier: GPL-3.0-or-later
-
-. $(dirname "${0}")/../functions.sh "${@}" || exit 1
-
-run cd "${NETDATA_SOURCE_PATH}" || exit 1
-
-# -----------------------------------------------------------------------------
-# find the netdata version
-
-NOWNER="unknown"
-ORIGIN="$(git config --get remote.origin.url || echo "unknown")"
-if [[ "${ORIGIN}" =~ ^git@github.com:.*/netdata.*$ ]]
- then
- NOWNER="${ORIGIN/git@github.com:/}"
- NOWNER="$( echo ${NOWNER} | cut -d '/' -f 1 )"
-
-elif [[ "${ORIGIN}" =~ ^https://github.com/.*/netdata.*$ ]]
- then
- NOWNER="${ORIGIN/https:\/\/github.com\//}"
- NOWNER="$( echo ${NOWNER} | cut -d '/' -f 1 )"
-fi
-
-# make sure it does not have any slashes in it
-NOWNER="${NOWNER//\//_}"
-
-if [ "${NOWNER}" = "netdata" ]
- then
- NOWNER=
-else
- NOWNER="-${NOWNER}"
-fi
-
-VERSION="$(git describe || echo "undefined")"
-[ -z "${VERSION}" ] && VERSION="undefined"
-
-FILE_VERSION="${VERSION}-$(uname -m)-$(date +"%Y%m%d-%H%M%S")${NOWNER}"
-
-
-# -----------------------------------------------------------------------------
-# copy the files needed by makeself installation
-
-run mkdir -p "${NETDATA_INSTALL_PATH}/system"
-
-run cp \
- makeself/post-installer.sh \
- makeself/install-or-update.sh \
- packaging/installer/functions.sh \
- configs.signatures \
- system/netdata-init-d \
- system/netdata-lsb \
- system/netdata-openrc \
- system/netdata.logrotate \
- system/netdata.service \
- "${NETDATA_INSTALL_PATH}/system/"
-
-
-# -----------------------------------------------------------------------------
-# create a wrapper to start our netdata with a modified path
-
-run mkdir -p "${NETDATA_INSTALL_PATH}/bin/srv"
-
-run mv "${NETDATA_INSTALL_PATH}/bin/netdata" \
- "${NETDATA_INSTALL_PATH}/bin/srv/netdata" || exit 1
-
-cat >"${NETDATA_INSTALL_PATH}/bin/netdata" <<EOF
-#!${NETDATA_INSTALL_PATH}/bin/bash
-export NETDATA_BASH_LOADABLES="DISABLE"
-export PATH="${NETDATA_INSTALL_PATH}/bin:\${PATH}"
-exec "${NETDATA_INSTALL_PATH}/bin/srv/netdata" "\${@}"
-EOF
-run chmod 755 "${NETDATA_INSTALL_PATH}/bin/netdata"
-
-
-# -----------------------------------------------------------------------------
-# remove the links to allow untaring the archive
-
-run rm "${NETDATA_INSTALL_PATH}/sbin" \
- "${NETDATA_INSTALL_PATH}/usr/bin" \
- "${NETDATA_INSTALL_PATH}/usr/sbin" \
- "${NETDATA_INSTALL_PATH}/usr/local"
-
-
-# -----------------------------------------------------------------------------
-# create the makeself archive
-
-run sed "s|NETDATA_VERSION|${FILE_VERSION}|g" <"${NETDATA_MAKESELF_PATH}/makeself.lsm" >"${NETDATA_MAKESELF_PATH}/makeself.lsm.tmp"
-
-run "${NETDATA_MAKESELF_PATH}/makeself.sh" \
- --gzip \
- --complevel 9 \
- --notemp \
- --needroot \
- --target "${NETDATA_INSTALL_PATH}" \
- --header "${NETDATA_MAKESELF_PATH}/makeself-header.sh" \
- --lsm "${NETDATA_MAKESELF_PATH}/makeself.lsm.tmp" \
- --license "${NETDATA_MAKESELF_PATH}/makeself-license.txt" \
- --help-header "${NETDATA_MAKESELF_PATH}/makeself-help-header.txt" \
- "${NETDATA_INSTALL_PATH}" \
- "${NETDATA_INSTALL_PATH}.gz.run" \
- "netdata, the real-time performance and health monitoring system" \
- ./system/post-installer.sh \
- ${NULL}
-
-run rm "${NETDATA_MAKESELF_PATH}/makeself.lsm.tmp"
-
-# -----------------------------------------------------------------------------
-# copy it to the netdata build dir
-
-FILE="netdata-${FILE_VERSION}.gz.run"
-
-run cp "${NETDATA_INSTALL_PATH}.gz.run" "${FILE}"
-echo >&2 "Self-extracting installer copied to '${FILE}'"
-
-[ -f netdata-latest.gz.run ] && rm netdata-latest.gz.run
-run ln -s "${FILE}" netdata-latest.gz.run
-echo >&2 "Self-extracting installer linked to 'netdata-latest.gz.run'"
diff --git a/makeself/makeself-header.sh b/makeself/makeself-header.sh
deleted file mode 100755
index 19c1c3f994..0000000000
--- a/makeself/makeself-header.sh
+++ /dev/null
@@ -1,554 +0,0 @@
-# SPDX-License-Identifier: GPL-3.0-or-later
-cat << EOF > "$archname"
-#!/bin/sh
-# This script was generated using Makeself $MS_VERSION
-
-ORIG_UMASK=\`umask\`
-if test "$KEEP_UMASK" = n; then
- umask 077
-fi
-
-CRCsum="$CRCsum"
-MD5="$MD5sum"
-TMPROOT=\${TMPDIR:=/tmp}
-USER_PWD="\$PWD"; export USER_PWD
-
-label="$LABEL"
-script="$SCRIPT"
-scriptargs="$SCRIPTARGS"
-licensetxt="$LICENSE"
-helpheader='$HELPHEADER'
-targetdir="$archdirname"
-filesizes="$filesizes"
-keep="$KEEP"
-nooverwrite="$NOOVERWRITE"
-quiet="n"
-accept="n"
-nodiskspace="n"
-export_conf="$EXPORT_CONF"
-
-print_cmd_arg=""
-if type printf > /dev/null; then
- print_cmd="printf"
-elif test -x /usr/ucb/echo; then
- print_cmd="/usr/ucb/echo"
-else
- print_cmd="echo"
-fi
-
-if test -d /usr/xpg4/bin; then
- PATH=/usr/xpg4/bin:\$PATH
- export PATH
-fi
-
-unset CDPATH
-
-MS_Printf()
-{
- \$print_cmd \$print_cmd_arg "\$1"
-}
-
-MS_PrintLicense()
-{
- if test x"\$licensetxt" != x; then
- echo "\$licensetxt"
- if test x"\$accept" != xy; then
- while true
- do
- MS_Printf "Please type y to a